from tap_nice_incontact.transform import transform_iso8601_durations

RAW_PERFORMANCE_TOTALS = [
    {
        "teamId": "2472017",
        "agentOffered": "0",
        "inboundHandled": "0",
        "inboundTime": "PT0S",
        "inboundTalkTime": "PT0S",
        "inboundAvgTalkTime": "PT0S",
        "outboundHandled": "0",
        "outboundTime": "PT0S",
        "outboundTalkTime": "PT0S",
        "outboundAvgTalkTime": "PT0S",
        "totalHandled": "0",
        "totalAvgHandled": "0",
        "totalTalkTime": "PT0S",
        "totalAvgTalkTime": "PT0S",
        "totalAvgHandleTime": "PT0S",
        "consultTime": "PT0S",
        "availableTime": "PT0S",
        "unavailableTime": "PT0S",
        "avgAvailableTime": "PT0S",
        "avgUnavailableTime": "PT0S",
        "acwTime": "PT0S",
        "refused": "0",
        "percentRefused": "0.00",
        "loginTime": "PT0S",
        "workingRate": "0.00",
        "occupancy": "0.00"
    },
    {
        "teamId": "2472302",
        "agentOffered": "54",
        "inboundHandled": "68",
        "inboundTime": "PT5H48M1.139S",
        "inboundTalkTime": "PT5H59M14.357S",
        "inboundAvgTalkTime": "PT5M16.976S",
        "outboundHandled": "37",
        "outboundTime": "PT2H7M13.963S",
        "outboundTalkTime": "PT1H43M51.793S",
        "outboundAvgTalkTime": "PT2M48.427S",
        "totalHandled": "105",
        "totalAvgHandled": "15",
        "totalTalkTime": "PT7H43M6.15S",
        "totalAvgTalkTime": "PT4M24.63S",
        "totalAvgHandleTime": "PT7M15.643S",
        "consultTime": "PT0S",
        "availableTime": "PT21H48M43.174S",
        "unavailableTime": "PT13H34M31.375S",
        "avgAvailableTime": "PT3H6M57.596S",
        "avgUnavailableTime": "PT1H56M21.625S",
        "acwTime": "PT4H59M16.379S",
        "refused": "11",
        "percentRefused": "20.37",
        "loginTime": "P1DT19H18M29.651S",
        "workingRate": "80.17",
        "occupancy": "36.81"
        }
]

EXPECTED_PERFORMACE_TOTALS = [
    {
        "teamId": "2472017",
        "agentOffered": "0",
        "inboundHandled": "0",
        "inboundTime": 0,
        "inboundTalkTime": 0,
        "inboundAvgTalkTime": 0,
        "outboundHandled": "0",
        "outboundTime": 0,
        "outboundTalkTime": 0,
        "outboundAvgTalkTime": 0,
        "totalHandled": "0",
        "totalAvgHandled": "0",
        "totalTalkTime": 0,
        "totalAvgTalkTime": 0,
        "totalAvgHandleTime": 0,
        "consultTime": 0,
        "availableTime": 0,
        "unavailableTime": 0,
        "avgAvailableTime": 0,
        "avgUnavailableTime": 0,
        "acwTime": 0,
        "refused": "0",
        "percentRefused": "0.00",
        "loginTime": 0,
        "workingRate": "0.00",
        "occupancy": "0.00"
    },
    {
        "teamId": "2472302",
        "agentOffered": "54",
        "inboundHandled": "68",
        "inboundTime": 20881,
        "inboundTalkTime": 21554,
        "inboundAvgTalkTime": 316,
        "outboundHandled": "37",
        "outboundTime": 7633,
        "outboundTalkTime": 6231,
        "outboundAvgTalkTime": 168,
        "totalHandled": "105",
        "totalAvgHandled": "15",
        "totalTalkTime": 27786,
        "totalAvgTalkTime": 264,
        "totalAvgHandleTime": 435,
        "consultTime": 0,
        "availableTime": 78523,
        "unavailableTime": 48871,
        "avgAvailableTime": 11217,
        "avgUnavailableTime": 6981,
        "acwTime": 17956,
        "refused": "11",
        "percentRefused": "20.37",
        "loginTime": 155909,
        "workingRate": "80.17",
        "occupancy": "36.81"
        }
]

def test_transfrom_iso8601_durations():
    assert transform_iso8601_durations(RAW_PERFORMANCE_TOTALS) == EXPECTED_PERFORMACE_TOTALS
